This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 426051 - NetworkManager wakes up every second even when there's no network
NetworkManager wakes up every second even when there's no network
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: wakeup
  Show dependency treegraph
 
Reported: 2007-12-17 20:08 EST by Chris Adams
Modified: 2009-10-12 09:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:32:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Adams 2007-12-17 20:08:55 EST
While checking my system with powertop, I see NetworkManager waking up once per
second, even where there is no network (wired or wireless) connected (the
wireless is disabled with a switch).  powertop says:

   1.4% (  1.0)    NetworkManager : tg3_open (tg3_timer)

which I guess is NM looking for a wire in the network jack?  If I plug in to the
wired network, NM still shows the same behavior.

Also, NM has wpa_supplicant running all the time (again, even when there's no
network connection at all), which is also waking up 1.5 times per second
(there's already a bug on that).  Shouldn't wpa_supplicant only run when needed?
Comment 1 Matěj Cepl 2008-03-12 20:44:00 EDT
This is probably a duplicate of bug 221773, which has a patch available.
Comment 2 Chris Adams 2008-03-12 20:51:39 EDT
Bug 221773 is private.  Can you either make it public or copy the relevant
information (such as if there is a patch why hasn't it been applied) and patch
here?  That bug would be over a year old also, so I don't know if any included
patch would still apply to current NM.
Comment 3 Dan Williams 2008-04-10 17:53:51 EDT
Probably not a dupe of bug 221773 actually, since it's NetworkManager showing up
in powertop and not the applet.

What wireless hardware do you have?  Can you run 'iwevent' and attach some logs
here?  It might be that your wireless card (ipw2200 has this issue) is sending a
continuous stream of background scan results, which causes wpa_supplicant to
wake up, which then causes NM to wake up and process the results.  Recent
kernels (2.6.23 and 2.6.24) have a patch to make ipw2200 driver quieter.
Comment 4 Chris Adams 2008-04-10 21:38:33 EDT
It is an ipw2200 (in a Thinkpad Z60m).  Does it send scan results even when the
front cut-off switch is turned off?  I am running 2.6.24.4-64.fc8, and with the
switch turned off, iwevent doesn't show anything happening, but I still see
NetworkManager waking up once per second.  The wakeup is listed as "tg3_open
(tg3_timer)", so maybe it is related to the ethernet port instead; does NM have
to wake up to check for link up/down?  I get the same behavior if the ethernet
is connected or not.
Comment 5 Dan Williams 2008-09-29 22:51:53 EDT
is this still an issue with the latest f8/f9 updates?  Try with svn4022 or later please.
Comment 6 Nick Lamb 2008-09-30 19:03:44 EDT
I still see this same issue with a Thinkpad Z60m

I have

NetworkManager-0.7.0-0.11.svn4022.fc9.i386

and I tested after a clean restart, with the latest Fedora 9 kernel.

I doubt this issue will magically go away, if it's not a NetworkManager problem it needs to be re-assigned to the owner of the tg3 (Broadcom Tigon3) driver.
Comment 7 Chris Adams 2008-09-30 20:48:04 EDT
I checked on an up-to-date rawhide system, and I'm still seeing NM wake up in powertop, even with no network connected (wired tg3 unplugged and wireless ipw2200 switched off)

   7.1% (  1.0)    NetworkManager : __mod_timer (tg3_timer)
   2.1% (  0.3)    NetworkManager : __mod_timer (process_timeout)
Comment 8 Bug Zapper 2008-11-26 04:03:25 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Nick Lamb 2008-11-26 04:56:52 EST
Reporter: Set the version to '10' to shut the robot up for another year. We've already reproduced this in Fedora 9, and no doubt it will continue in 10 since no-one is actually trying to fix it.

Maintainer: If you have no idea how to fix a bug, merely sitting there hoping it will magically resolve itself is no good. Reach out, look for other people who might be able to help you, escalate. Otherwise you ought to give this maintainer role to someone else, or mark the package as unsupported and schedule it for removal.

Consider for example, my earlier suggestion that this bug might actually be caused by the Tigon3 ethernet driver. Investigate. Is that true? The Tigon3 driver was apparently partly written by a Red Hat employee. Maybe they can be CC'd into this bug to offer an opinion. What is tg3_timer?
Comment 10 Bug Zapper 2009-01-09 00:32:49 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Matt McCutchen 2009-08-20 02:05:05 EDT
I am still seeing this with Fedora 11 on my Dell Latitude D620 when I have "Enable Networking" on and no ethernet cable connected.  The result is the same whether or not I am on a wireless network.  From the powertop output:

(  1.0)    NetworkManager : __mod_timer (tg3_timer)

$ rpm -q NetworkManager
NetworkManager-0.7.1-8.git20090708.fc11.i586

Someone please reopen this against Fedora 11.
Comment 12 RJ 2009-10-12 09:08:14 EDT
check with my desktop (as in Comment #11) and the result is:

0,1% (  0,1)    NetworkManager : __mod_timer (nv_do_stats_poll)

Note You need to log in before you can comment on or make changes to this bug.